% writeimage(img, filename)
%
% writes an image to file
%
% This is part of the OTB Matlab Toolbox
% 
% author: Rik Bellens

function writeimage(img, filename)

writername = ['otbImageFileWriter' suffix(img)];

writer = VerySmartPointer(writername);
writer.Call('SetFileName',filename);
writer.Call('SetInput',img.SmartPointer);
writer.Call('Update');
